<template>
  <div class="container-fluid">
    <div class="row">
      <div class="col-sm-12 mx-auto mb-2">
        <div class="mb-2">
          <span class="btn btn-link text-dark" @click="$router.back()">
            <i class="fa fa-angle-left back-icon"></i>
            <span class="ml-2 my-auto">Retour</span>
          </span>
          <div class="float-right">
            <!-- 
            <span class="btn btn-link text-dark px-0">
              <btn-dropdown
                btnClass="btn btn-secondary btn-sm float-right"
                icon="ellipsis-h"
                :items="[
                  {
                    text: 'Virer les gains',
                    onClick: () => {
                      virer();
                    },
                  },
                ]"
              />
            </span>  -->
          </div>
        </div>
        <div class="card card-skool rounded shadow-sm">
          <div class="p-5">
            <div v-if="showHisto == false">
              <!-- user courant -->
              <div class="card-body">
                <div class="tab-content">
                  <div class="active tab-pane" id="details">
                    <div class="row">
                      <div class="col-sm-4 row px-4">
                        <div class="col-sm-12">
                          <img src="../../../public/assets/images/profil.png" class=" img-fluid user-icon2" />
                        </div>
                        <div class="col-sm-12 mt-3">
                          <div class="detail-value">
                            {{ currentAdmin.lastname +" "+ currentAdmin.firstname }}
                          </div>
                        </div>
                      </div>
                      <div class="col-sm-8 row text-center">
                        <div class="col-sm-6 top-space">
                          <div class="detail-title">Code parrainage:</div>
                          <div class="detail-value">
                            {{ currentAdmin.codeparrainage }}
                          </div>
                        </div>
                        <div class="col-sm-6 top-space">
                          <div class="detail-title">Email & Contacts</div>
                          <div class="detail-value">
                            {{ currentAdmin.email }} | {{ currentAdmin.contacts }}
                          </div>
                        </div>
                        <div class="col-sm-4 mt-5">
                          <div class="detail-title">N° Bénéficiaire 1</div>
                          <div class="detail-value">
                            {{ currentAdmin.contactBeneficiary1 }}
                            {{ currentAdmin.reseauContact1 }}
                          </div>
                        </div>
                        <div class="col-sm-4 mt-5">
                          <div class="detail-title">N° Bénéficiaire 2</div>
                          <div class="detail-value">
                            {{ currentAdmin.contactBeneficiary2 }}
                            {{ currentAdmin.reseauContact2 }}
                          </div>
                        </div>
                        <div class="col-sm-4 mt-5">
                          <div class="detail-title">Commission</div>
                          <div class="detail-value">
                            {{ currentAdmin.earnings }}
                            <sup>F CFA</sup>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
              <!-- parrain -->
              <hr
                v-if="currentAdmin.parrain"
                style="
                  height: 2px;
                  border-width: 0;
                  color: gray;
                  background-color: gray;
                "
              />
              <div class="row" v-if="currentAdmin.parrain">
                <div class="col-sm-12 mb-4">
                  <h2 class="text-info">Le parrain</h2>
                </div>
                <div class="row text-center">
                  <div class="col-sm-4">
                    <div class="detail-title">Code parrainage:</div>
                    <div class="detail-value">
                      {{ currentAdmin.parrain.codeparrainage }}
                    </div>
                  </div>
                  <div class="col-sm-4 top-space">
                    <div class="detail-title">Nom & Prénom(s):</div>
                    <div class="detail-value">
                      {{ currentAdmin.parrain.lastname }}
                      {{ currentAdmin.parrain.firstname }}
                    </div>
                  </div>
                  <div class="col-sm-4 top-space">
                    <div class="detail-title">Email & Contacts</div>
                    <div class="detail-value">
                      {{ currentAdmin.parrain.email }} |
                      {{ currentAdmin.parrain.contacts }}
                    </div>
                  </div>
                  <div class="col-sm-4 mt-5">
                    <div class="detail-title">N° Bénéficiaire 1</div>
                    <div class="detail-value">
                      {{ currentAdmin.parrain.contactBeneficiary1 }}
                      {{ currentAdmin.parrain.reseauContact1 }}
                    </div>
                  </div>
                  <div class="col-sm-4 mt-5">
                    <div class="detail-title">N° Bénéficiaire 2</div>
                    <div class="detail-value">
                      {{ currentAdmin.parrain.contactBeneficiary2 }}
                      {{ currentAdmin.parrain.reseauContact2 }}
                    </div>
                  </div>
                  <div class="col-sm-4 mt-5">
                    <div class="detail-title">Commission</div>
                    <div class="detail-value">
                      {{ currentAdmin.parrain.earnings }}
                      <sup>F CFA</sup>
                    </div>
                  </div>
                </div>
              </div>
              <!-- filleuls -->
              <hr
                v-if="currentFilleuls.length != 0"
                style="
                  height: 2px;
                  border-width: 0;
                  color: gray;
                  background-color: gray;
                "
              />
              <div class="row" v-if="currentFilleuls.length != 0">
                <div class="col-sm-12 mb-4">
                  <h2 class="text-info">Les filleuls</h2>
                </div>
                <div class="row" v-for="(filleul, i) in currentFilleuls" :key="i">
                  <div class="col-sm-12 mb-4 ml-2">
                    <b>Filleul {{ i + 1 }}</b>
                  </div>
                  <div class="tab-content">
                    <div class="active tab-pane" id="details">
                      <div class="row text-center">
                        <div class="col-sm-4">
                          <div class="detail-title">Code parrainage</div>
                          <div class="detail-value">
                            {{ filleul.codeparrainage }}
                          </div>
                        </div>
                        <div class="col-sm-4 top-space">
                          <div class="detail-title">Nom & Prénom(s):</div>
                          <div class="detail-value">
                            {{ filleul.lastname }}
                            {{ filleul.firstname }}
                          </div>
                        </div>
                        <div class="col-sm-4 top-space">
                          <div class="detail-title">Email & Contacts</div>
                          <div class="detail-value">
                            {{ filleul.email }} | {{ filleul.contacts }}
                          </div>
                        </div>
                        <div class="col-sm-4 mt-5">
                          <div class="detail-title">N° Bénéficiaire 1</div>
                          <div class="detail-value">
                            {{ filleul.contactBeneficiary1 }}
                            {{ filleul.reseauContact1 }}
                          </div>
                        </div>
                        <div class="col-sm-4 mt-5">
                          <div class="detail-title">N° Bénéficiaire 2</div>
                          <div class="detail-value">
                            {{ filleul.contactBeneficiary2 }}
                            {{ filleul.reseauContact2 }}
                          </div>
                        </div>
                        <div class="col-sm-4 mt-5">
                          <div class="detail-title">Commission</div>
                          <div class="detail-value">
                            {{ filleul.earnings }}
                            <sup>F CFA</sup>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          
            <div v-else>
              <!-- historique retraits -->
              <hr
                style="
                  height: 2px;
                  border-width: 0;
                  color: gray;
                  background-color: gray;
                "
                v-if="histoRetraits.length != 0"
              />
              <div v-if="histoRetraits.length != 0">
                <div class="col-sm-12 mb-4">
                  <h2 class="label-title2">Historique des retraits</h2>
                </div>
                <div class="row">
                  <div class="card-body">
                    <div class="table-responsive">
                      <table class="table rounded">
                        <thead class="label-title2">
                          <th>Date</th>
                          <th>Montant</th>
                          <th class="web-only">Numéro</th>
                          <th class="web-only">Ancien solde</th>
                          <th class="web-only">Nouveau Solde</th>
                          <th>Statut</th>
                          <th></th>
                        </thead>
                        <tbody class="label-title-min">
                          <tr v-for="(hr, i) in histoRetraits" :key="i">
                            <td>{{ hr.date ? hr.date : "" }}</td>
                            <td >{{ hr.amount }} FCFA</td>
                            <td class="web-only">{{ hr.number }} {{ hr.reseau }}</td>
                            <td class="web-only">
                              {{ hr.oldEarnings ? hr.oldEarnings + " FCFA" : "" }}
                            </td>
                            <td class="web-only">
                              {{ hr.newEarnings ? hr.newEarnings + " FCFA" : "" }}
                            </td>
                            <td>
                              {{
                                hr.status
                                  ? "Transfert éffectué"
                                  : "Transfert non éffectué"
                              }}
                            </td>
                            <td>
                              <button
                                v-if="hr.status == false"
                                type="button"
                                class="btn btn-success btn-sm mr-2"
                                @click="checkRow(i, 0)"
                              >
                                <i class="fa fa-check"></i>
                              </button>
                              <!--<button
                                type="button"
                                class="btn btn-danger btn-sm"
                                @click="removeRow(i, 0)"
                              >
                                <i class="fa fa-trash"></i>
                              </button> -->
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <!-- historique packs -->
              <hr
                style="
                  height: 2px;
                  border-width: 0;
                  color: gray;
                  background-color: gray;
                "
                v-if="histoPacks.length != 0"
              />
              <div v-if="histoPacks.length != 0">
                <div class="col-sm-12 mb-4">
                  <h2 class="label-title">Historique des packs activés</h2>
                </div>
                <div class="row">
                  <div class="card-body">
                    <div class="table-responsive">
                      <table class="table rounded">
                        <thead class="label-title2">
                          <th>Date Activation</th>
                          <th class="web-only">Date fin</th>
                          <th class="web-only">Pack</th>
                          <th class="web-only">Source financement</th>
                          <th>Numéro bénéficiare</th>
                          <th>Statut</th>
                          <th></th>
                        </thead>
                        <tbody class="label-title-min">
                          <tr v-for="(hp, i) in histoPacks" :key="i">
                            <td>{{ hp.startdate ? hp.startdate : "" }}</td>
                            <td class="web-only">{{ hp.enddate ? hp.enddate : "" }}</td>
                            <td class="web-only">
                              <!--  {{ packs[i].amount }} FCFA -
                              {{ packs[i].duration }} jrs  --> ok
                            </td>
                            <td class="web-only">{{ hp.source }}</td>
                            <td>{{ hp.numero }}</td>
                            <td>
                              {{
                                hp.status
                                  ? "Transfert éffectué"
                                  : "Transfert non éffectué"
                              }}
                            </td>
                            <td>
                              <button
                                v-if="hp.status == false"
                                type="button"
                                class="btn btn-success btn-sm mr-2"
                                @click="checkRow(i, 1)"
                              >
                                <i class="fa fa-check"></i>
                              </button>
                              <!--  <button
                                type="button"
                                class="btn btn-danger btn-sm"
                                @click="removeRow(i, 1)"
                              >
                                <i class="fa fa-trash"></i>
                              </button>  -->
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <!-- Historique des mini packs -->
              <hr
                style="
                  height: 2px;
                  border-width: 0;
                  color: gray;
                  background-color: gray;
                "
                v-if="histoLittlePacks.length != 0"
              />
              <div v-if="histoLittlePacks.length != 0">
                <div class="col-sm-12 mb-4">
                  <h2 class="label-title">Historique des minis packs activés</h2>
                </div>
                <div class="row">
                  <div class="card-body">
                    <div class="table-responsive">
                      <table class="table rounded">
                        <thead class="label-title2">
                          <th>Date Activation</th>
                          <th class="web-only">Date fin</th>
                          <th class="web-only">Pack</th>
                          <th class="web-only">Source financement</th>
                          <th>Numéro bénéficiare</th>
                          <th>Statut</th>
                          <th></th>
                        </thead>
                        <tbody class="label-title-min">
                          <tr v-for="(hp, i) in histoLittlePacks" :key="i">
                            <td>{{ hp.startdate ? hp.startdate : "" }}</td>
                            <td class="web-only">{{ hp.enddate ? hp.enddate : "" }}</td>
                            <td class="web-only">
                              <!--  {{ packs[i].amount }} FCFA -
                              {{ packs[i].duration }} jrs  --> ok
                            </td>
                            <td class="web-only">{{ hp.source }}</td>
                            <td>{{ hp.numero }}</td>
                            <td>
                              {{
                                hp.status
                                  ? "Transfert éffectué"
                                  : "Transfert non éffectué"
                              }}
                            </td>
                            <td>
                              <button
                                v-if="hp.status == false"
                                type="button"
                                class="btn btn-success btn-sm mr-2"
                                @click="checkRow(i, 2)"
                              >
                                <i class="fa fa-check"></i>
                              </button>
                            </td>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  data() {
    return {
      errorMessage: "",
      currentId: "",
      showHisto: false,
      currentAdmin: {},
      currentFilleuls: [],
      histoPacks: [],
      histoLittlePacks: [],
      packs: [],
      miniPacks: [],
      histoRetraits: [],

      prestationTypes: {
        contractuel: "Contractuel",
      },
      prelevementFiscaux: {
        "aib-1": "AIB 1%",
      },
      countSousFilleuls: 0,
    };
  },
  mounted() {
    this.currentId = this.$route.params.adminId;
    if(this.$route.params.histo == 'true')
      this.showHisto = true;
    //console.log('show histo: ',this.showHisto)
    this.loadData();
  },
  methods: {
    loadData() {
      if (this.currentId) {
        this.$service.load("admins", this.currentId, (err, data) => {
          if (err) {
            this.errorMessage = err.data && err.data.message;
            console.log("Error", err.data);
            return;
          }

          if (data.admin) {
            //récupération des historiques
            this.currentAdmin = data.admin;
            this.histoRetraits = data.admin.historiesGetEarnings;
            this.histoPacks = data.admin.historiesPacks;
            this.histoLittlePacks = data.admin.historiesLittlePacks;
            //load dans "packs" des packs associés à l'historique des packs dans l'ordre
            for (let i = 0; i < this.histoPacks.length; i++) {
              this.$service.load(
                "packs",
                this.histoPacks[i].pack,
                (err, data) => {
                  if (err) {
                    this.errorMessage = err.data && err.data.message;
                    console.log("Error", err.data);
                    return;
                  }
                  if (data.pack) this.packs.push(data.pack);
                }
              );
            }

            //load dans "packs" des packs associés à l'historique des minis packs dans l'ordre
            for (let j = 0; j < this.histoLittlePacks.length; j++) {
              this.$service.load(
                "packs",
                this.histoLittlePacks[j].pack,
                (err, data) => {
                  if (err) {
                    this.errorMessage = err.data && err.data.message;
                    console.log("Error", err.data);
                    return;
                  }
                  if (data.pack) this.miniPacks.push(data.pack);
                }
              );
            }
            //console.log('packs historie :',this.packs)

            let query = {
              options: {
                parrain: this.currentId,
              },
            };
            this.$service.listAdmins(query, (err, data) => {
              if (err) {
                console.log(err);
                return;
              }

              for (let i = 0; i < data.total; i++) {
                this.currentFilleuls.push(data.admins[i]);
              }
            });
          }
        });
      }
    },

    checkRow(position, source) {
      let date = new Date();
      let d = date.getDate();
      let m = date.getMonth() + 1;
      let y = date.getFullYear();
      let currentRow;

      if (source == 0) {
        //retraits de fonds
        currentRow = this.histoRetraits[position];

        currentRow.status = true;
        currentRow.date = d + "/" + m + "/" + y;

        currentRow.oldEarnings = this.currentAdmin.earnings;
        currentRow.newEarnings = this.currentAdmin.earnings - currentRow.amount;
        this.histoRetraits.splice(position, 1, currentRow);

        let newUserInfo = {
          earnings: currentRow.newEarnings,
          historiesGetEarnings: this.histoRetraits,
        };
        this.updateUser(this.currentId, newUserInfo, "retrait");
      } else {
        if (source == 1) {
          //activation de pack
          //récup nombre de filleuls dans le pack courant
          let nbreFilleulsPack = 0;
          let filleulsPack = [];
          for (let i = 0; i < this.currentFilleuls.length; i++) {
            //console.log("pack filleul courant : ", this.currentFilleuls[i].pack);
            //console.log("pack courant : ", this.histoPacks[position].pack);
            if (this.currentFilleuls[i].pack._id == this.histoPacks[position].pack)
              nbreFilleulsPack += 1;
            filleulsPack.push(this.currentFilleuls[i]);
          }
          // vérif si le nombre de filleul est < 4
          if (nbreFilleulsPack < 4) {
            this.$swal
              .fire(
                "Impossible",
                "Vous avez " +
                  nbreFilleulsPack +
                  " filleuls dans ce pack. " +
                  "Vous devez inscrire au moins 4 filleuls pour l'activer !!!",
                "warning"
              )
              .then(() => {
                this.loadData();
              });
          } else {
            // Vérifions si c'est un abonnement
            let isReabonnement = false;
            for (let j=0; j < this.histoPacks.length; j++){
              if (position == j){
                // on élargue, ça ne nous interresse pas
              } else {
                if ( (this.histoPacks[position].pack == this.histoPacks[j].pack) && (this.histoPacks[j].status == true)){
                  isReabonnement = true;
                  console.log("C'est bien un réabonnement, statut :", this.histoPacks[j].status);
                }
              }
            }
            if (!isReabonnement) {
              console.log("C'est un abonnement...");
              currentRow = this.histoPacks[position];

              currentRow.startdate = d + "/" + m + "/" + y;
              date.setDate(date.getDate() + this.packs[position].duration);

              currentRow.enddate =
                date.getDay() +
                "/" +
                (date.getMonth() + 1) +
                "/" +
                date.getFullYear();

              this.histoPacks.splice(position, 1, currentRow);

              let newUserInfo = {
                historiesPacks: this.histoPacks,
                pack: currentRow.pack,
              };
              if (currentRow.source == "compte") {
                // en cas de pack financé par le compte
                newUserInfo.earnings =
                  this.currentAdmin.earnings - this.packs[position].amount;
              }
              this.updateUser(this.currentId, newUserInfo, "reabo");
            } else {
              /* 
                ici c'est un reabonnement
                Vérification des packs des sous-Filleuls 
              */
              if (this.currentAdmin.sousFilleuls && (this.currentAdmin.sousFilleuls.length !=0) ){
                this.countSousFilleuls = 0;
                let moreThanSeize = false;
                let lastNumberSF = 0;
                let positionPackInCurAdminSF = 0;

                // vérifions si c'est déjà supérieur aux 16 enrégistrements demandés
                for (let x=0; x < this.currentAdmin.sousFilleuls.length; x++) {
                  if (this.currentAdmin.sousFilleuls[x].pack == this.histoPacks[position].pack ) {
                    positionPackInCurAdminSF = x;
                    if (this.currentAdmin.sousFilleuls[x].nombre >= 16){
                      moreThanSeize = true; 
                    } else {
                      lastNumberSF = this.currentAdmin.sousFilleuls[x].nombre;
                    }

                  }
                }

                if (moreThanSeize){
                  // Enrégistrement. le nombre est au moins 16
                  currentRow = this.histoPacks[position];

                  currentRow.startdate = d + "/" + m + "/" + y;
                  date.setDate(date.getDate() + this.packs[position].duration);

                  currentRow.enddate =
                    date.getDay() +
                    "/" +
                    (date.getMonth() + 1) +
                    "/" +
                    date.getFullYear();

                  this.histoPacks.splice(position, 1, currentRow);

                  let newUserInfo = {
                    historiesPacks: this.histoPacks,
                    pack: currentRow.pack
                  };
                  if (currentRow.source == "compte") {
                    // en cas de pack financé par le compte
                    newUserInfo.earnings = this.currentAdmin.earnings - this.packs[position].amount;
                  }
                  this.updateUser(this.currentId, newUserInfo, "reabo");
                } else {
                  // Le nombre n'est pas encore au moins 16. vérifions les mis à jours
                  this.countSousFilleuls = 0;
                  for (let y=0; y < this.currentFilleuls.length; y++){
                    let query = {
                      options: {
                        parrain: this.currentFilleuls[y].id,
                      },
                    };
                    this.$service.listAdmins(query, (err, data) => {
                      if (err) { console.log("Recuperation 1, list sous-filleuls error :", err);  return;  }

                      // Recherchons les sous Filleuls valident
                      for (let i = 0; i < data.total; i++) {
                        for (let j=0; j < data.admins[i].historiesPacks.length; j++) {
                          if ( (this.histoPacks[position].pack == data.admins[i].historiesPacks[j].pack) && (data.admins[i].historiesPacks[j].status == true)) {
                            this.countSousFilleuls += 1;
                          }
                        }
                      }
                    });
                  }
                  if ((this.countSousFilleuls >= 16) || (this.countSousFilleuls == (lastNumberSF+2)) ) {
                    currentRow = this.histoPacks[position];

                    currentRow.startdate = d + "/" + m + "/" + y;
                    date.setDate(date.getDate() + this.packs[position].duration);

                    currentRow.enddate =
                      date.getDay() +
                      "/" +
                      (date.getMonth() + 1) +
                      "/" +
                      date.getFullYear();

                    this.histoPacks.splice(position, 1, currentRow);
                    this.currentAdmin.sousFilleuls[positionPackInCurAdminSF].nombre = this.countSousFilleuls;

                    let newUserInfo = {
                      historiesPacks: this.histoPacks,
                      pack: currentRow.pack,
                      sousFilleuls: this.currentAdmin.sousFilleuls
                    };
                    if (currentRow.source == "compte") {
                      // en cas de pack financé par le compte
                      newUserInfo.earnings =
                        this.currentAdmin.earnings - this.packs[position].amount;
                    }
                    this.updateUser(this.currentId, newUserInfo, "reabo");
                  } else {
                    this.$swal
                    .fire(
                      "Impossible",
                      "Vous avez " +
                        this.countSousFilleuls +
                        " sous-filleuls dans ce pack. " +
                        "Vous devez inscrire au moins 2 sous-filleuls pour l'activer !!!",
                      "warning"
                    )
                    .then(() => {
                      // this.loadData();
                    });
                  }
                }              
              } else {
                // ici, list sous-Filleuls est vide dans admins, alors on l'enrégistre
                this.countSousFilleuls = 0;
                for (let nbrF=0; nbrF < this.currentFilleuls.length; nbrF++){
                  let query = {
                    options: {
                      parrain: this.currentFilleuls[nbrF].id,
                    },
                  };
                  this.$service.listAdmins(query, (err, data) => {
                    if (err) { console.log("Recuperation list sous-filleuls error :", err);  return;  }

                    // Recherchons les sous Filleuls valident
                    for (let i = 0; i < data.total; i++) {
                      for (let j=0; j < data.admins[i].historiesPacks.length; j++) {
                        if ( (this.histoPacks[position].pack == data.admins[i].historiesPacks[j].pack) && (data.admins[i].historiesPacks[j].status == true)) {
                          this.countSousFilleuls += 1;
                        }
                      }
                    }
                  });
                }
                if (this.countSousFilleuls < 2){
                  this.$swal
                    .fire(
                      "Impossible",
                      "Vous avez " +
                        this.countSousFilleuls +
                        " sous-filleuls dans ce pack. " +
                        "Vous devez inscrire au moins 2 sous-filleuls pour l'activer !!!",
                      "warning"
                    )
                    .then(() => {
                      // this.loadData();
                    });
                } else {
                  currentRow = this.histoPacks[position];

                  currentRow.startdate = d + "/" + m + "/" + y;
                  date.setDate(date.getDate() + this.packs[position].duration);

                  currentRow.enddate =
                    date.getDay() +
                    "/" +
                    (date.getMonth() + 1) +
                    "/" +
                    date.getFullYear();

                  this.histoPacks.splice(position, 1, currentRow);

                  let newUserInfo = {
                    historiesPacks: this.histoPacks,
                    pack: currentRow.pack,
                    sousFilleuls: [{
                      pack: this.histoPacks[position].pack,
                      nombre: this.countSousFilleuls
                    }]
                  };
                  if (currentRow.source == "compte") {
                    // en cas de pack financé par le compte
                    newUserInfo.earnings =
                      this.currentAdmin.earnings - this.packs[position].amount;
                  }
                  this.updateUser(this.currentId, newUserInfo, "reabo");
                }
              }
            }
          }
        } else {
          if (source == 2) {
            let isActif = 0;
            currentRow = this.histoLittlePacks[position];
            console.log("currentRow : ", currentRow);

            currentRow.status = true;
            currentRow.startdate = d + "/" + m + "/" + y;
            // vérifion si il y a un mini pack en cours
            for(let i=0; i < this.histoLittlePacks.length; i++){
              if (this.histoLittlePacks[i]._id != this.histoLittlePacks[position]._id){
                if(this.histoLittlePacks[i].status == true) {
                  if (this.histoLittlePacks[i].enddate < currentRow.startdate) {
                    isActif += 1;
                  }
                }
              }
            }

            if (isActif==0){
              currentRow.enddate = date.getDay() +"/"+ (date.getMonth() + 1) +"/"+ date.getFullYear();

              this.histoLittlePacks.splice(position, 1, currentRow);

              let newUserInfo = {
                historiesLittlePacks: this.histoLittlePacks
              };

              this.updateUser(this.currentId, newUserInfo, "reabo");

            } else{
              this.$swal
              .fire(
                "Impossible",
                "Vous avez déjà un mini pack en cours !!!",
                "warning"
              )
              .then(() => {
                this.loadData();
              });
            }
            
          }
        }
      }
      
      
    },

    updateUser(id, data, source) {
      this.$service.updateUser(id, data, (err, data) => {
        if (err) {
          this.errorMessage = err.data && err.data.message;
          console.log("Error", err.data);
          return;
        }

        if (source == "retrait") {
          this.$swal.fire("Retrait validé !!!", "", "success").then(() => {
            this.loadData();
          });
        } else {
          this.$swal.fire("Reabonnement validé !!!", "", "success").then(() => {
            this.loadData();
          });
        }
      });
    },

    removeRow(position, source) {
      if (source == 0) {
        console.log("in histo retrait remove");
      } else {
        console.log("in histo packs remove");
      }
    },
  },
};
</script>

<style scoped>
.profil-photo {
  padding-top: 10px;
  font-size: 110px;
  color: #aaaaaa;
}
</style>